メインコンテンツまでスキップ

How to Manage storage?

Persistent Disk

GPU Container provides High-Performance Storage (HPS) remaining for the duration of a container’s life. It functions similarly to a hard disk, allowing you to store data that needs to be retained even if the container is stopped.

Key characteristics:

  • Available until the container is deleted permanently.
  • Prevent data loss by storing data, models, or files that need to be preserved across container restarts or reconfigurations.

Temporary Disk

Temporary disk (NVMe) is a type of storage that provides temporary storage for a container. Any data stored on the temporary disk will be lost when the container is stopped or deleted so make sure to back up important data before shutting down your container.

Storage type comparision

Temporary DiskPersistent Disk
Data persistenceLost on stop/ restartRetained until container deletion
LifecycleTied directly to the container’s active sessionTied to the container’s lease period
PerformanceFastest (locally attached)Reliable, generally slower than temporary disk
CapacityFixed according to the selected GPU instanceSelectable at creation
CostFREERefer to ai.fptcloud.com/pricing
Best forTemporary session data, cachePersistent application data, models, datasets

Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the ask query parameter:

GET https://ai-docs.fptcloud.com/fpt-gpu-cloud/gpu-container/tutorials/how-to-manage-storage.md?ask=<question>

The question should be specific, self-contained, and written in natural language. The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.